Bug 7729

Summary: no signals from python-conic or python-location
Product: [Extras] PyMaemo Reporter: Danielle Madeley <danielle>
Component: GeneralAssignee: Lauro Moura <lauro.neto>
Status: RESOLVED WONTFIX QA Contact: general
Severity: normal    
Priority: Low CC: bruno.araujo, lauro.neto, m, martin
Version: unspecified   
Target Milestone: ---   
Hardware: All   
OS: Maemo   
Bug Depends on: 10371    
Bug Blocks: 6847, 5181    

Description Danielle Madeley (reporter) 2010-01-07 01:28:50 UTC
I receive no signals on my N900 or in scratchbox running the test_connect.py
example from python-conic.

Similarly I receive no signals from python-location.

Method calls work, the appropriate dialogs are shown, devices activated etc.
Just there's never any notification.
Comment 1 Thomas Perl 2010-05-12 17:16:49 UTC
I have the same problem I can't get any of the python-conic examples to work.
Comment 2 Thomas Perl 2010-05-12 19:29:08 UTC
A solution can be found in the example posted in bug 10084.
Comment 3 Luis 2010-05-13 00:16:53 UTC
*** This bug has been confirmed by popular vote. ***
Comment 4 Lauro Moura 2010-05-28 01:00:14 UTC
I'm not sure if this is a binding issue, at least in the conic case.

test-connect.c from libconic source is similar to the python one, and the
callback is not called.
Comment 5 Lauro Moura 2010-05-29 00:49:48 UTC
And for python-location, the callback for GPSDevice's "changed" signal was
called correctly.
Comment 6 Lauro Moura 2010-05-31 13:21:13 UTC
Adjusting bug dependencies. Now depends on the C bug and blocks both gpodder
bugs.
Comment 7 Bruno Araujo 2010-07-13 22:00:41 UTC
The bug 10371 (which blocks this one) was reported as WONTFIX by Nokia;
therefore, this bug will be WONTFIX as well.